PeopleNet Fleet Manager Compatible Web Browsers

The PeopleNet Fleet Manager is compatible with several versions of Microsoft Internet Explorer. Support for Firefox, Opera, and Google's Chrome browser has not been tested and is not officially supported at this time.

To upgrade your version of Internet Explorer, run the Windows Updater or visit the Internet Explorer home page.